package com.vaartatechnologies.all_in_one_basic.includes;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.widget.Toast;

public class SmallFunctions {

    public static void createToast(Context context, String message, String duration){
        if(duration.equals("Short")){
            Toast.makeText(context, (String) message, Toast.LENGTH_SHORT).show();
        } else if(duration.equals("Long")){
            Toast.makeText(context, (String) message, Toast.LENGTH_LONG).show();
        }
    }

    public static boolean returnInternet(Context context){
        ConnectivityManager cm = (ConnectivityManager)context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo activeNetwork = cm.getActiveNetworkInfo();
        return activeNetwork != null && activeNetwork.isConnectedOrConnecting();
    }

    public static String returnInternetType(Context context){
        ConnectivityManager cm = (ConnectivityManager)context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo activeNetwork = cm.getActiveNetworkInfo();
        boolean isConnected = activeNetwork != null && activeNetwork.isConnectedOrConnecting();
        if(isConnected){
            boolean isWiFi = activeNetwork.getType() == ConnectivityManager.TYPE_WIFI;
            boolean isMobile = activeNetwork.getType() == ConnectivityManager.TYPE_MOBILE;
            if(isWiFi){ return "WiFi"; } else if(isMobile){ return "Mobile"; }
        }
        return "None";
    }
}